Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface ConnectorServiceRuntimeMBean

public interface ConnectorServiceRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring the WebLogic Connector Service

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`ConnectorConnectionPoolRuntimeMBean` | `getConnectionPool(java.lang.String jndiName)` Returns a ConnectorConnectionPoolRuntimeMBean that represents the statistics for a Deployed Connection Pool (a deployed connection pool is equivalent to a deployed RAR).
`int` | `getConnectionPoolCurrentCount()` Returns the number of currently deployed connection pools.
`ConnectorConnectionPoolRuntimeMBean[]` | `getConnectionPools()` Returns an array of ConnectorConnectionPoolRuntimeMBeans that each represents the statistics for a Deployed Connection Pool (a deployed connection pool is equivalent to a deployed RAR).
`int` | `getConnectionPoolsTotalCount()` Returns the total number of deployed connection pools instantiated since the Server startup.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getConnectionPoolCurrentCount

    public int getConnectionPoolCurrentCount()

  Returns the number of currently deployed connection pools.

  Returns:
    The connectionPoolCurrentCount value

### getConnectionPoolsTotalCount

    public int getConnectionPoolsTotalCount()

  Returns the total number of deployed connection pools instantiated since the Server startup.

  Returns:
    The connectionPoolsTotalCount value

### getConnectionPools

    public ConnectorConnectionPoolRuntimeMBean[] getConnectionPools()

  Returns an array of ConnectorConnectionPoolRuntimeMBeans that each represents the statistics for a Deployed Connection Pool (a deployed connection pool is equivalent to a deployed RAR).

  Returns:
    The connectionPools value

### getConnectionPool

    public ConnectorConnectionPoolRuntimeMBean getConnectionPool(java.lang.String jndiName)

  Returns a ConnectorConnectionPoolRuntimeMBean that represents the statistics for a Deployed Connection Pool (a deployed connection pool is equivalent to a deployed RAR).

  Parameters:
    `the` - jndiName of the pool of interest
  Returns:
    The connectionPool's value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD